﻿
$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dn3.freedownloadmanager.org/6/latest/fdm_x86_setup.exe'
$url64      = 'https://dn3.freedownloadmanager.org/6/latest/fdm_x64_setup.exe'

$packageArgs = @{
  packageName   = 'free-download-manager'
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64
  softwareName  = 'free-download-manager*'
  checksum      = 'D32B68F2B14D7F4B757C3B816D7E096C47D85895CE0BEE7A4BB809660967AFDA'
  checksumType  = 'sha256'
  checksum64    = 'E476DB6F6C78D8FE8CEAE3FE410B81D50882793DAF9A2EF0909CC26C826C6A0D'
  checksumType64= 'sha256'
  
  docsUrl       = 'https://www.freedownloadmanager.org/board/'
  mailingListUrl= 'https://www.freedownloadmanager.org/'

  validExitCodes= @(0, 3010, 1641)
  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
}

Install-ChocolateyPackage @packageArgs










    








